### Method

# Gsk Transform rotate

#### Declaration [src]

    GskTransform*
    gsk_transform_rotate (
      GskTransform* next,
      float angle
    )

#### Description [src]

Rotates `next` by an angle around the Z axis.

The rotation happens around the origin point of (0, 0).

This function consumes `next`. Use `gsk_transform_ref()` first if you want to keep it around.

#### Parameters

`next`

  Type: `GskTransform`

  The next transform.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`angle`

  Type: `float`

  The rotation angle, in degrees (clockwise).

#### Return value

Type: `GskTransform`

The new transform.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.